## IAnjutaStream

IAnjutaStream — Implemented by plugins that can open file streams

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_stream_error_quark ()
void | ianjuta_stream_open ()

## Types and Values

#define | IANJUTA_STREAM_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaStream

## Includes

    #include <libanjuta/interfaces/ianjuta-stream.h>

## Description

## Functions

### ianjuta_stream_error_quark ()

    GQuark
    ianjuta_stream_error_quark (void);

### ianjuta_stream_open ()

    void
    ianjuta_stream_open (IAnjutaStream *obj,
                         FILE *stream,
                         GError **err);

The implementor opens the given stream.

#### Parameters

obj | Self |
stream | Stream to open from. |
err | Error propagation and reporting |

## Types and Values

### IANJUTA_STREAM_ERROR

    #define IANJUTA_STREAM_ERROR ianjuta_stream_error_quark()